<?php
if (!isset($urnreg_path)) {
	require_once("../../config.php");
}
require_once($urnreg_path."/Auth.php");

class FakeAuth implements Auth {

	public function __construct() {
	}
	
	public function isAuth() {
		if (!isset($_SESSION)) {
			session_start();
		}
		if (!array_key_exists("auth",$_SESSION)) {
			$_SESSION["auth"] = false;
		}
		return $_SESSION["auth"];
	}

	public function doAuth($urlback = '') {
		if (!isset($_SESSION)) {
			session_start();
		}
		$_SESSION["auth"] = true;
		if ($this->isAuth()) {
			header("Location: ".$urlback);
		}
		else {
			return false;
		}
	}
	
	public function login($username,$password) {
		return false;
	}
	
	public function getUser() {
		return "admin";
	}
	
	public function getAttributes() {
		return array(
			'eduPersonPrincipalName' => array('admin')
			);
	}
	
	public function doLogout() {
		if (!isset($_SESSION)) {
			session_start();
		}
		$_SESSION["auth"] = false;
		return !$this->isAuth();
	}
	
}

?>