<?php
if (!isset($urnreg_path)) {
	require_once("../../config.php");
}
require_once($urnreg_path."/Auth.php");
require_once($urnreg_path."/AuthManager.php");

class sSpAuth implements Auth {
	private $config;
	private $mode;
	private $config_sSp;
	private $session_sSp;
	private $userData;

	public function __construct() {
		$this->config = AuthManager::getAuthConfig();
		require_once($this->config["path"]."/_include.php");
		$this->mode = $this->config["mode"];
		$this->config_sSp = SimpleSAML_Configuration::getInstance();
		$this->session_sSp = SimpleSAML_Session::getInstance();
	}

	public function isAuth() {
		return $this->session_sSp->isValid($this->mode);
	}
	
	public function doAuth($urlback = '') {
		if (!$this->session_sSp->isValid($this->mode) ) {
			SimpleSAML_Utilities::redirect(
				'/' . $this->config_sSp->getBaseURL() . $this->mode . '/sp/initSSO.php',
				array('RelayState' => SimpleSAML_Utilities::selfURL())
			);
		}
		
		$this->userData = $this->session_sSp->getAttributes();
		
		header("Location: ".$urlback);
	}
	
	public function login($username,$password) {
		return true;
	}
	
	public function getUser() {
		if ($this->session_sSp->isValid($this->mode) ) {
			$this->userData = $this->session_sSp->getAttributes();
			return $this->userData[$this->config["user_attr_id"]];
		}
		return "";
	}
	
	public function getAttributes() {
		if ($this->session_sSp->isValid($this->mode) ) {
			$this->userData = $this->session_sSp->getAttributes();
			return $this->userData;
		}
		return array();
	}
	
	public function doLogout() {
	}
}
?>